close all;clear all; clc; 
%% set the global paths (you might need to change this)

%% start the script from ... /HeadPose+/matlab_code/ folder
current_path = pwd;
% remove last and add data
seps   = strfind(current_path,filesep);
data_path = fullfile(current_path(1:seps(end)-1), 'data');
disp('data path is:');
disp(data_path);
% path to biwi
global biwi_folder;
biwi_folder = fullfile(data_path,'hpdb');
fprintf('Biwi folder %s \n',biwi_folder);
%path to synhead data
global synhead_folder
synhead_folder = fullfile(data_path, 'media','jinweig','Data2','synhead2_release');
fprintf('Synhead folder %s \n',synhead_folder);
% path to store new images and db matfiles
global data_folder
data_folder = data_path;
global target_data_folder
target_data_folder = fullfile(data_path,'SynBiwiPlus');
mkdir(target_data_folder);
fprintf('Created %s \n',target_data_folder);

%% create dbs
process_biwi;
%%
clear variables;

process_synhead;

disp('main done.');