function [intrinsic,exrot,trans] = read_biwi_cal_file(folder_name)
  intrinsic = zeros(3);
  exrot = zeros(3);
  trans = zeros(1,3);

  file = fullfile(folder_name, 'rgb.cal');
  
  fid = fopen(file, 'r');
  
  intrinsic(1,:) = fscanf(fid, '%f %f %f\n',3);
  intrinsic(2,:) = fscanf(fid, '%f %f %f\n',3);
  intrinsic(3,:) = fscanf(fid, '%f %f %f\n',3);
  
  fscanf(fid, '%f %f %f %f\n',4);
  
  exrot(1,:) = fscanf(fid, '%f %f %f\n',3);
  exrot(2,:) = fscanf(fid, '%f %f %f\n',3);
  exrot(3,:) = fscanf(fid, '%f %f %f\n',3);
  
  trans(:) = fscanf(fid, '%f %f %f\n',3);
  
  fclose(fid); 
  
end